laya2.3微信开放域点发布后编译就会报错

操作步骤:
1.layaIDE2.3.0创建开放域项目
2.直接点发布按钮(compile.js中代码会发生改变。)
3.然后编译就会如下报错。
Incompatible tsconfig option. Module resolves to 'CommonJS'. This is incompatible with rollup, please use 'module: "ES2015"' or 'module: "ESNext"'.
已邀请:

kylin

赞同来自:

1) 在之前的逻辑中,点击发布会更新编译发布脚本到IDE内置的最新版,下一个版本我们将在打开项目时就更新发布脚本
2) 开放域的编译和其他项目不一样,不应该更新编译脚本,这是一个bug,我们已经确认。从下一个beta版我们修改了这个bug(不过需要新建开放域项目,或者将新建的开放域项目中的.laya文件夹拷贝到老项目的.laya文件夹)
3) 目前开发者可以手动修改编译脚本的version,调成比较高的版本号(.laya/compile.js 第一行注释就是版本号),我们也是采用的这个方案

该问题目前已经被锁定, 无法添加新回复

商务合作
商务合作